Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.jsr94.admin
Class RLLocalRuleExecutionSetProvider

`java.lang.Object
oracle.rules.jsr94.admin.RLLocalRuleExecutionSetProvider`

All Implemented Interfaces:
  javax.rules.admin.LocalRuleExecutionSetProvider, java.io.Serializable

public class RLLocalRuleExecutionSetProvider
extends java.lang.Object
implements javax.rules.admin.LocalRuleExecutionSetProvider, java.io.Serializable

The Oracle Business Rules implementation of the LocalRuleExecutionSetProvider interface.

See Also:
  Serialized Form

Constructor Summary
`RLLocalRuleExecutionSetProvider()`

Method Summary
`javax.rules.admin.RuleExecutionSet` | `createRuleExecutionSet(java.io.InputStream is, java.util.Map properties)` Create a RuleExecutionSet implementation from the specified input stream.
`javax.rules.admin.RuleExecutionSet` | `createRuleExecutionSet(java.lang.Object ast, java.util.Map properties)` Create a RuleExecutionSet implementation from an abstract syntax tree.
`javax.rules.admin.RuleExecutionSet` | `createRuleExecutionSet(java.io.Reader reader, java.util.Map properties)` Create a RuleExecutionSet implementation from the specified Reader.
`javax.rules.admin.RuleExecutionSet` | `createRuleExecutionSet(java.lang.String name, java.lang.String description, RuleSource[] sources, java.lang.String[] rulesetStack, java.util.Map properties)` Create a RuleExecutionSet implementation from the specified parameters.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RLLocalRuleExecutionSetProvider

    public RLLocalRuleExecutionSetProvider()

Method Detail

### createRuleExecutionSet

    public javax.rules.admin.RuleExecutionSet createRuleExecutionSet(java.io.InputStream is,
                                                                     java.util.Map properties)
                                                              throws javax.rules.admin.RuleExecutionSetCreateException,
                                                                     java.io.IOException

  Create a RuleExecutionSet implementation from the specified input stream. The input stream is used to read the XML document that describes the desired RuleExecutionSet.
  Specified by:
    `createRuleExecutionSet` in interface `javax.rules.admin.LocalRuleExecutionSetProvider`
  Parameters:
    `is` - the InputStream
    `properties` - optional properties.
  Returns:
    the RuleExecutionSet
  Throws:
    `java.io.IOException` - on an input stream I/O error.
    `javax.rules.admin.RuleExecutionSetCreateException` - if an error is encountered creating the RuleExecutionSet.

### createRuleExecutionSet

    public javax.rules.admin.RuleExecutionSet createRuleExecutionSet(java.lang.Object ast,
                                                                     java.util.Map properties)
                                                              throws javax.rules.admin.RuleExecutionSetCreateException

  Create a RuleExecutionSet implementation from an abstract syntax tree. This method is not supported and invoking it will throw a RuleExecutionSetCreateException.
  Specified by:
    `createRuleExecutionSet` in interface `javax.rules.admin.LocalRuleExecutionSetProvider`
  Parameters:
    `ast` - the abstract syntax tree
    `properties` - optional properties.
  Returns:
    the RuleExecutionSet
  Throws:
    `javax.rules.admin.RuleExecutionSetCreateException` - always.

### createRuleExecutionSet

    public javax.rules.admin.RuleExecutionSet createRuleExecutionSet(java.io.Reader reader,
                                                                     java.util.Map properties)
                                                              throws javax.rules.admin.RuleExecutionSetCreateException,
                                                                     java.io.IOException

  Create a RuleExecutionSet implementation from the specified Reader. The Reader is used to read the XML document that describes the desired RuleExecutionSet.
  Specified by:
    `createRuleExecutionSet` in interface `javax.rules.admin.LocalRuleExecutionSetProvider`
  Parameters:
    `reader` - the Reader
    `properties` - optional properties.
  Returns:
    the RuleExecutionSet
  Throws:
    `java.io.IOException` - on an I/O error reading the document.
    `javax.rules.admin.RuleExecutionSetCreateException` - if an error is encountered creating the RuleExecutionSet.

### createRuleExecutionSet

    public javax.rules.admin.RuleExecutionSet createRuleExecutionSet(java.lang.String name,
                                                                     java.lang.String description,
                                                                     RuleSource[] sources,
                                                                     java.lang.String[] rulesetStack,
                                                                     java.util.Map properties)
                                                              throws javax.rules.admin.RuleExecutionSetCreateException

  Create a RuleExecutionSet implementation from the specified parameters.
  Parameters:
    `name` - the name of the RuleExecutionSet.
    `description` - a description of the RuleExecutionSet.
    `sources` - an array of RuleSource instances that describe where the rules for this RuleExecutionSet can be accessed.
    `rulesetStack` - an array of ruleset names which represent the desired content of the rulesetStack prior to executing the rules.
    `properties` - optional properties.
  Returns:
    the RuleExecutionSet
  Throws:
    `javax.rules.admin.RuleExecutionSetCreateException` - if an error is encountered creating the RuleExecutionSet.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.